FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS Development

 
 
LinkBack Thread Tools
 
Old 10-26-2011, 03:44 PM
Gianluca Cecchi
 
Default CentOS 6.0 + CR vs RHEL 6.1 differences: flac

Hello,
trying to replicate a rh el 6.1 configuration to a CentOS 6.0+CR.
Original upstream server was installed in 6.0 and then updated
gradually up to 6.1 and other packages (up to about first days of
October).
It is registered to additional channels such as High Availability,
Resilient Storage.
Overall its situation is this:
# rhn-channel -l
rhel-x86_64-server-6
rhel-x86_64-server-ha-6
rhel-x86_64-server-optional-6
rhel-x86_64-server-rs-6
rhel-x86_64-server-supplementary-6
rhel-x86_64-server-v2vwin-6
rhn-tools-rhel-x86_64-server-6

At the moment, I found some differences.
I'm going to post different e-mails for different packages

- flac
On rh el 6.1
# rpm -q flac
package flac is not installed

On CentOS it is now installed, but if I try to remove it I get:
[root@crhev3 ~]# yum remove flac
Loaded plugins: downloadonly, fastestmirror, refresh-packagekit
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package flac.x86_64 0:1.2.1-6.1.el6 will be erased
--> Processing Dependency: libFLAC.so.8()(64bit) for package:
libsndfile-1.0.20-5.el6.x86_64
--> Running transaction check
---> Package libsndfile.x86_64 0:1.0.20-5.el6 will be erased
--> Processing Dependency: libsndfile.so.1()(64bit) for package:
pulseaudio-libs-glib2-0.9.21-13.el6.x86_64
--> Processing Dependency: libsndfile.so.1()(64bit) for package:
pulseaudio-libs-0.9.21-13.el6.x86_64
--> Processing Dependency: libsndfile.so.1(libsndfile.so.1.0)(64bit)
for package: pulseaudio-libs-0.9.21-13.el6.x86_64
--> Running transaction check
---> Package pulseaudio-libs.x86_64 0:0.9.21-13.el6 will be erased
--> Processing Dependency: libpulse-simple.so.0()(64bit) for package:
2:qemu-kvm-0.12.1.2-2.160.el6_1.8.x86_64
--> Processing Dependency: libpulse-simple.so.0(PULSE_0)(64bit) for
package: 2:qemu-kvm-0.12.1.2-2.160.el6_1.8.x86_64
--> Processing Dependency: libpulse.so.0()(64bit) for package:
libcanberra-0.22-1.el6.x86_64
--> Processing Dependency: libpulse.so.0()(64bit) for package:
gnome-settings-daemon-2.28.2-11.el6.x86_64
--> Processing Dependency: libpulse.so.0()(64bit) for package:
1:java-1.6.0-openjdk-1.6.0.0-1.40.1.9.10.el6_1.x86_64
--> Processing Dependency: libpulse.so.0()(64bit) for package:
2:qemu-kvm-0.12.1.2-2.160.el6_1.8.x86_64
--> Processing Dependency: libpulse.so.0(PULSE_0)(64bit) for package:
libcanberra-0.22-1.el6.x86_64
--> Processing Dependency: libpulse.so.0(PULSE_0)(64bit) for package:
gnome-settings-daemon-2.28.2-11.el6.x86_64
--> Processing Dependency: libpulse.so.0(PULSE_0)(64bit) for package:
1:java-1.6.0-openjdk-1.6.0.0-1.40.1.9.10.el6_1.x86_64
--> Processing Dependency: libpulse.so.0(PULSE_0)(64bit) for package:
2:qemu-kvm-0.12.1.2-2.160.el6_1.8.x86_64
--> Processing Dependency: pulseaudio-libs >= 0.9.15 for package:
libcanberra-0.22-1.el6.x86_64
---> Package pulseaudio-libs-glib2.x86_64 0:0.9.21-13.el6 will be erased
--> Running transaction check
---> Package gnome-settings-daemon.x86_64 0:2.28.2-11.el6 will be erased
--> Processing Dependency: gnome-settings-daemon >= 2.21.91-3 for
package: 1:control-center-2.28.1-25.el6.x86_64
---> Package java-1.6.0-openjdk.x86_64 1:1.6.0.0-1.40.1.9.10.el6_1
will be erased
---> Package libcanberra.x86_64 0:0.22-1.el6 will be erased
--> Processing Dependency: libcanberra.so.0()(64bit) for package:
libcanberra-gtk2-0.22-1.el6.x86_64
--> Processing Dependency: libcanberra.so.0()(64bit) for package:
gnome-packagekit-2.28.3-3.el6.x86_64
--> Processing Dependency: libcanberra.so.0()(64bit) for package:
metacity-2.28.0-20.el6.x86_64
--> Processing Dependency: libcanberra.so.0()(64bit) for package:
notification-daemon-0.5.0-1.el6.x86_64
--> Processing Dependency: libcanberra >= 0.10 for package:
gnome-packagekit-2.28.3-3.el6.x86_64
--> Processing Dependency: libcanberra = 0.22-1.el6 for package:
libcanberra-gtk2-0.22-1.el6.x86_64
---> Package qemu-kvm.x86_64 2:0.12.1.2-2.160.el6_1.8 will be erased
--> Processing Dependency: qemu-kvm >= 2:0.12.1.0 for package:
1:libguestfs-1.7.17-17.el6.x86_64
--> Running transaction check
---> Package control-center.x86_64 1:2.28.1-25.el6 will be erased
---> Package gnome-packagekit.x86_64 0:2.28.3-3.el6 will be erased
---> Package libcanberra-gtk2.x86_64 0:0.22-1.el6 will be erased
---> Package libguestfs.x86_64 1:1.7.17-17.el6 will be erased
--> Processing Dependency: libguestfs.so.0()(64bit) for package:
1:libguestfs-mount-1.7.17-17.el6.x86_64
--> Processing Dependency: libguestfs.so.0()(64bit) for package:
1:guestfish-1.7.17-17.el6.x86_64
--> Processing Dependency: libguestfs.so.0()(64bit) for package:
1erl-Sys-Guestfs-1.7.17-17.el6.x86_64
--> Processing Dependency: libguestfs.so.0()(64bit) for package:
1:libguestfs-tools-c-1.7.17-17.el6.x86_64
--> Processing Dependency: libguestfs = 1:1.7.17-17.el6 for package:
1:libguestfs-mount-1.7.17-17.el6.x86_64
--> Processing Dependency: libguestfs = 1:1.7.17-17.el6 for package:
1:guestfish-1.7.17-17.el6.x86_64
--> Processing Dependency: libguestfs = 1:1.7.17-17.el6 for package:
1:libguestfs-tools-1.7.17-17.el6.x86_64
--> Processing Dependency: libguestfs = 1:1.7.17-17.el6 for package:
1erl-Sys-Guestfs-1.7.17-17.el6.x86_64
--> Processing Dependency: libguestfs = 1:1.7.17-17.el6 for package:
1:libguestfs-tools-c-1.7.17-17.el6.x86_64
---> Package metacity.x86_64 0:2.28.0-20.el6 will be erased
---> Package notification-daemon.x86_64 0:0.5.0-1.el6 will be erased
--> Processing Dependency: desktop-notification-daemon for package:
libnotify-0.5.0-1.el6.x86_64
--> Running transaction check
---> Package guestfish.x86_64 1:1.7.17-17.el6 will be erased
---> Package libguestfs-mount.x86_64 1:1.7.17-17.el6 will be erased
---> Package libguestfs-tools.x86_64 1:1.7.17-17.el6 will be erased
---> Package libguestfs-tools-c.x86_64 1:1.7.17-17.el6 will be erased
---> Package libnotify.x86_64 0:0.5.0-1.el6 will be erased
--> Processing Dependency: libnotify.so.1()(64bit) for package:
zenity-2.28.0-1.el6.x86_64
---> Package perl-Sys-Guestfs.x86_64 1:1.7.17-17.el6 will be erased
--> Processing Dependency: perl-libguestfs >= 1:1.2.0 for package:
virt-v2v-0.7.1-3.el6.x86_64
--> Processing Dependency: perl(Sys::Guestfs) for package:
virt-v2v-0.7.1-3.el6.x86_64
--> Processing Dependency: perl(Sys::Guestfs::Lib) for package:
virt-v2v-0.7.1-3.el6.x86_64
--> Running transaction check
---> Package virt-v2v.x86_64 0:0.7.1-3.el6 will be erased
---> Package zenity.x86_64 0:2.28.0-1.el6 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== ==================================
Package Arch Version
Repository Size
================================================== ================================================== ==================================
Removing:
flac x86_64
1.2.1-6.1.el6 @base 706
k
Removing for dependencies:
control-center x86_64
1:2.28.1-25.el6 @base 7.9
M
gnome-packagekit x86_64
2.28.3-3.el6 @base 7.9
M
gnome-settings-daemon x86_64
2.28.2-11.el6 @base 2.6
M
guestfish x86_64
1:1.7.17-17.el6 @cr 531
k
java-1.6.0-openjdk x86_64
1:1.6.0.0-1.40.1.9.10.el6_1 @cr 81
M
libcanberra x86_64
0.22-1.el6 @base 175
k
libcanberra-gtk2 x86_64
0.22-1.el6 @base 53
k
libguestfs x86_64
1:1.7.17-17.el6 @cr 3.4
M
libguestfs-mount x86_64
1:1.7.17-17.el6 @cr 66
k
libguestfs-tools x86_64
1:1.7.17-17.el6 @cr 173
k
libguestfs-tools-c x86_64
1:1.7.17-17.el6 @cr 194
k
libnotify x86_64
0.5.0-1.el6 @base 78
k
libsndfile x86_64
1.0.20-5.el6 @cr 753
k
metacity x86_64
2.28.0-20.el6 @base 7.5
M
notification-daemon x86_64
0.5.0-1.el6 @base 182
k
perl-Sys-Guestfs x86_64
1:1.7.17-17.el6 @cr 756
k
pulseaudio-libs x86_64
0.9.21-13.el6 @base 2.6
M
pulseaudio-libs-glib2 x86_64
0.9.21-13.el6 @base 15
k
qemu-kvm x86_64
2:0.12.1.2-2.160.el6_1.8 @cr 3.5
M
virt-v2v x86_64
0.7.1-3.el6 @cr 4.8
M
zenity x86_64
2.28.0-1.el6 @base 4.1
M

Transaction Summary
================================================== ================================================== ==================================
Remove 22 Package(s)

Installed size: 129 M

While on rh el 6.1 server I do have Virtualization packages....
# rpm -q virt-v2v
virt-v2v-0.7.1-4.el6.x86_64

I see that in general some of my CentOS packages have newer versions,
because my upstream is not fully updated at this moment
But virt-v2v in CentOS is 0.7.1-3 vs 0.7.1-4 in RH EL
I don't know if this could be the cause...
HIH

Gianluca
_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 
Old 10-26-2011, 05:09 PM
Karanbir Singh
 
Default CentOS 6.0 + CR vs RHEL 6.1 differences: flac

On 10/26/2011 04:44 PM, Gianluca Cecchi wrote:
> I see that in general some of my CentOS packages have newer versions,
> because my upstream is not fully updated at this moment
> But virt-v2v in CentOS is 0.7.1-3 vs 0.7.1-4 in RH EL
> I don't know if this could be the cause...
> HIH

Thanks, if you prefer - bugs.centos.org would work slightly better -
otherwise email is fine.

there is going to be another push into CR/ today, with more of the
updates in - I'll try and get these ones in as well

- KB
_______________________________________________
CentOS-devel mailing list
CentOS-devel@centos.org
http://lists.centos.org/mailman/listinfo/centos-devel
 

Thread Tools




All times are GMT. The time now is 07:22 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org